function [GG,gg] = grd_init(sizes)
  num_layers = length(sizes);

  GG = cell(num_layers-1,1);
  gg= cell(num_layers-1,1);
  % initialize weights and biases with values from a standard normal distribution
  for i = 1:num_layers-1
    y = sizes(i+1);
    x = sizes(i);    
    gg{i,1} = zeros(y,1);
    GG{i,1} = zeros(y,x);
  end
end
